## org.hibernate.mapping
Interface TableOwner

All Known Implementing Classes:
  JoinedSubclass, RootClass, UnionSubclass

    public interface TableOwner

Interface allowing to differenciate SubClasses from Classes, JoinedSubClasses and UnionSubClasses The first one has not its own table while the others have

Author:
  Emmanuel Bernard

Method Summary
`void` `setTable(Table table)`

Method Detail

### setTable

    void setTable(Table table)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.